This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019852 - Review Request: ultimaker2-marlin-firmware - Ultimaker2 firmware for the 3D printer
Review Request: ultimaker2-marlin-firmware - Ultimaker2 firmware for the 3D p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Travis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 09:43 EDT by Miro Hrončok
Modified: 2013-11-12 10:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 10:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-16 09:43:15 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/ultimaker2-marlin-firmware.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/ultimaker2-marlin-firmware-13.10-1.fc19.src.rpm

Description: Ultimaker2 firmware for the 3D printer.

Fedora Account System Username: churchyard
Comment 1 Pete Travis 2013-10-19 14:26:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
--- GPLv3 verified!
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v3 or later)",
     "Unknown or generated", "MIT/X11 (BSD like)", "ISC", "GPL (v2 or later)
     (with incorrect FSF address)", "BSD (2 clause)", "LGPL (v2.1 or later)",
     "*No copyright* LGPL (v2.1 or later)". 82 files have unknown license.
     Detailed output of licensecheck in /home/pete/1019852-ultimaker2-marlin-
     firmware/licensecheck.txt
--- GPLv3 verified!
[ ]: Package contains no bundled libraries without FPC exception.
--- All text files, compiled on the fly!
[ ]: Changelog in prescribed format.
--- Pass!
[ ]: Sources contain only permissible code or content.
--- Pass!
[ ]: Package contains desktop file if it is a GUI application.
--- Does not apply!
[ ]: Development files must be in a -devel package
--- Does not apply!
[ ]: Package uses nothing in %doc for runtime.
--- Only docs here!
[ ]: Package consistently uses macros (instead of hard-coded directory names).
--- Fine example of macro usage!
[ ]: Package is named according to the Package Naming Guidelines.
--- Appropriately named!
[ ]: Package does not generate any conflict.
--- No conflict presented, or possible!
[ ]: Package obeys FHS, except libexecdir and /usr/target.
--- Follows standards!
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
--- Does not apply!
[ ]: Requires correct, justified where necessary.
--- No runtime dependencies!
[ ]: Spec file is legible and written in American English.
--- Yes!
[ ]: Package contains systemd file(s) if in need.
--- It does not need.
[ ]: Package is not known to require an ExcludeArch tag.
--- True!
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
--- Not large enough.
[ ]: Package complies to the Packaging Guidelines
--- No violations!
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
--- License text included in %doc.
[ ]: Final provides and requires are sane (see attachments).
--- Yes, sane.
[ ]: Package functions as described.
--- Verified upstream.
[ ]: Latest version is packaged.
--- Bleeding edge, even.
[ ]: Package does not include license text files separate from upstream.
--- No inclusions outside of upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
--- Not available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
--- Noarch.
[ ]: %check is present and all tests pass.
--- Not applicable.
[ ]: Packages should try to preserve timestamps of original installed files.
--- `install` invocation is correct.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ultimaker2-marlin-firmware-13.10-1.fc19.noarch.rpm
          ultimaker2-marlin-firmware-13.10-1.fc19.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ultimaker2-marlin-firmware
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ultimaker2-marlin-firmware (rpmlib, GLIBC filtered):



Provides
--------
ultimaker2-marlin-firmware:
    ultimaker2-marlin-firmware



Source checksums
----------------
https://github.com/Ultimaker/SecretMarlin/archive/6c9206902f9b01d60f4c373cc2db7b017fb49e72/ultimaker2-marlin-firmware-13.10-6c92069.tar.gz :
  CHECKSUM(SHA256) this package     : e697f6ba7759f11c453c48c02cfa301b571273f788edfd97517af3175347600f
  CHECKSUM(SHA256) upstream package : e697f6ba7759f11c453c48c02cfa301b571273f788edfd97517af3175347600f


----------------------------------------------------
You might consider including "LCD Menu Tree.pdf" in %doc. Otherwise, I see no problems at all with this package. APPROVED.
Comment 2 Miro Hrončok 2013-10-19 14:28:30 EDT
New Package SCM Request
=======================
Package Name: ultimaker2-marlin-firmware
Short Description: Ultimaker2 firmware for the 3D printer
Owners: churchyard
Branches: f19 f20
Comment 3 Gwyn Ciesla 2013-10-19 17:16:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.